Returns the complete set of configured ad serving host names available in the current system.
Reference
GET https://YOUR-NETWORK-DOMAIN/rest-api/adsHosts.do
Returns the complete set of configured ad serving host names available in the current system. These hosts can be used with the changeAdServingDomain endpoint to configure per-site ad delivery domains.
Responses
200
Successful operation
400
Bad request — invalid or missing parameters
401
Unauthorized — authentication failed or missing credentials
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("GET"), "https://YOUR-NETWORK-DOMAIN/rest-api/adsHosts.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());